#include "pt.h"

#include "stm32f10x.h"
#include <stdio.h>
#include "usart1.h"
 
static int counter;
static struct pt example_pt;
 
static
PT_THREAD(example(struct pt *pt))
{
  PT_BEGIN(pt);
  
  while(1) {
    PT_WAIT_UNTIL(pt, counter == 20);
    printf("Threshold reached\n");
    counter = 0;
  }
  
  PT_END(pt);
}
 
int main(void)
{
  counter = 0;
  USART1_Config();
  
  PT_INIT(&example_pt);
  
  while(1) {
    example(&example_pt);
    counter++;
  }
  return 0;
}